package csbsju.cs160;

/**
 * Represents an individual color.
 *
 * @author  Carl Burch
 * @version 28 August 2001
 */
public class Color {
	/** The color red **/
	public static Color red = new Color(java.awt.Color.red);
	/** The color blue **/
	public static Color blue = new Color(java.awt.Color.blue);
	/** The color green **/
	public static Color green = new Color(java.awt.Color.green);
	/** The color yellow **/
	public static Color yellow = new Color(java.awt.Color.yellow);
	/** The color white **/
	public static Color white = new Color(java.awt.Color.white);
	/** The color black **/
	public static Color black = new Color(java.awt.Color.black);

	private java.awt.Color color;

	private Color(java.awt.Color color) { this.color = color; }

	/**
	 * Constructs a color that adds <code>r</code> percent
	 * of the possible red light, <code>g</code> percent
	 * of the possible green light, and <code>b</code>
	 * percent of the possible blue light. For example,
	 * <code>new Color(1.0, 1.0, 1.0)</code> would give you
	 * the brightest white available, while
	 * <code>new Color(1.0, 0.0, 0.0)</code> would give the
	 * brightest red available.
	 */
	public Color(double r, double g, double b) {
		this(new java.awt.Color((float) r, (float) g, (float) b));
	}

	java.awt.Color getColor() { return color; }
}
